'use strict';

import React, { Component } from 'react';
import resList from '../../resconfig/resList';
import ViewCtrl from '../../util/viewCtrl';

import './ComNoPrize.less';
class ComNoPrize extends Component {
    constructor(props) {
        super(props);
        this.state = this.state || { resList: resList };
    }

    showIndex() {
        this.props.closeWin();
        ViewCtrl.changePage();
    }

    render() {
        return (
            <div className="wei_zhong_jiang_xing_huo zoom">
                <div className="wei_zhong_jiang1">
                    <img
                        className="wei_zhong_jiang_ju_xing"
                        src={this.state.resList['e2f4049a-d670-4441-bc6c-dfc3cba109aa'].url}
                    />
                    <img
                        className="wei_zhong_jiang_tu_ceng2"
                        src={this.state.resList['d8c52da1-968f-4f69-a58a-120065a61721'].url}
                    />
                    <img
                        className="wei_zhong_jiang_tuo_yuan"
                        src={this.state.resList['28caebe0-9290-49fe-9661-ccc2c9885520'].url}
                        onClick={this.showIndex.bind(this)}
                    />
                    <span className="hen_bao_qian">很抱歉</span>
                    <span className="wei_zhong_jiang_ji_xu_tiao_zhan_ying_da_jiang_ba">未中奖<br />继续挑战赢大奖吧~</span>
                </div>
            </div>
        );
    }
}
export default ComNoPrize;